// interface functions for the nrf24l01+ radio transceiver.
#include <stdint.h>
void NRFinit();
int NRFGetStatus(void);
int NRFReadRegister(int RegNum);
int NRFWriteRegister(int RegNum, uint8_t Value);
int NRFReadRXPayload(int Count,uint8_t *Payload);
void NRFFlushTX(void);
void NRFFlushRX(void);
int NRFSetRXAddress(int AddressLength, uint8_t * Address);
int NRFGetRXAddress(int MaxAddressLength, uint8_t * Address);
int NRFSetTXAddress(int AddressLength, uint8_t * Address);
int NRFGetTXAddress(int MaxAddressLength, uint8_t * Address);
void NRFEnableTXMode();
void NRFEnableRXMode();
int NRFWriteData(int Length, uint8_t * Data);
int NRFReadData(int MaxLength, uint8_t* Data);
